[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# FileSetDate

Set the date of a file.

## Declaration

Source position: line 0

`function FileSetDate(`
`Handle: THandle;`
`Age: LongInt`
`):LongInt; function FileSetDate(`
`const FileName: string;`
`Age: LongInt`
`):LongInt;`

## Description

FileSetDate sets the file date of the open file with handle Handle or to Age, where Age is a DOS date-and-time stamp value.

Alternatively, the filename may be specified with the FileName argument. This variant of the call is mandatory on unices, since there is no OS support for setting a file timestamp based on a handle. (the handle may not be a real file at all).

The function returns zero if successfull.

## Errors

On Unix, the handle variant always returns -1, since this is impossible to implement. On Windows and DOS, a negative error code is returned.

Documentation generated on: Feb 26 2014